<!doctype html>
<html lang="en">
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Jquery -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

        <!-- Bootstrap -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">

        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>

        <!-- highcharts 
        <script src="https://code.highcharts.com/highcharts.js"></script> -->
        <script src="https://code.highcharts.com/modules/drilldown.js"></script>
        <script src="https://code.highcharts.com/stock/highstock.js"></script>
        <script src="https://code.highcharts.com/stock/modules/drag-panes.js"></script>
        <script src="https://code.highcharts.com/stock/modules/exporting.js"></script>
        <style>
            .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
                color: #fff;
                background-color: #a09e9e;
            }
        </style>
    </head>
    <body>
        <div class="container-fluid">
            <div class="row">
                <main role="main" class="col-md ml-sm-auto col-lg-12 pt-3 px-4">
                    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
                        <h3>Letras Financeiras</h3>
                    </div>
                    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="pills-graph-tab" data-toggle="pill" href="#pills-graph" role="tab" aria-controls="pills-home" aria-selected="true">Gráfico</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-table-tab" data-toggle="pill" href="#pills-table" role="tab" aria-controls="pills-table" aria-selected="false">Tabela</a>
                        </li>
                    </ul>
                    <div class="tab-content" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-graph" role="tabpanel" aria-labelledby="pills-graph-tab">
                            <div class="container-fluid" id="top_graph" style="height: 550px"></div>
                        </div>
                        <div class="tab-pane fade" id="pills-table" role="tabpanel" aria-labelledby="pills-table-tab">
                            <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
                                <p class="h5">Selecionar Data:</p>
                                <div class="btn-group mr-2">
                                    <select id='seletor' class="custom-select" onchange="updateTable()"></select>
                                </div>
                            </div>
                            <div class="table-responsive">
                                <font size="2">
                                    <table id='main_tab' class="table table-striped table-sm">
                                        <thead>
                                            <tr>
                                                <th class="align-middle" rowspan="2" style="text-align: center">Indexador</th>
                                                <th rowspan="1" style="text-align: center">Prazo</th>
                                                <th colspan="3" style="text-align: center">Até 2 anos</th>
                                                <th colspan="3" style="text-align: center">Até 3 anos</th>
                                                <th colspan="3" style="text-align: center">Maior 3 anos</th>
                                            </tr>
                                            <tr>
                                                <th class="align-middle" style="text-align: center">Faixa de Volume</th>
                                                <th class="align-middle" style="text-align: center">Taxa Média</th>
                                                <th class="align-middle" style="text-align: center">Volume <br> (BRL Mil)</th>
                                                <th class="align-middle" style="text-align: center"># Operações</th>
                                                <th class="align-middle" style="text-align: center">Taxa Média</th>
                                                <th class="align-middle" style="text-align: center">Volume <br> (BRL Mil)</th>
                                                <th class="align-middle" style="text-align: center"># Operações</th>
                                                <th class="align-middle" style="text-align: center">Taxa Média</th>
                                                <th class="align-middle" style="text-align: center">Volume <br> (BRL Mil)</th>
                                                <th class="align-middle" style="text-align: center"># Operações</th>
                                            </tr>                                
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </font>
                            </div>
                        </div>
                    </div>
                </main>     
            </div>
        </div>
    </body>
    <script>
        $(document).ready(function(){
            $.get('http://localhost:8080/dbfront', function(data){
                var obj = JSON.parse(data);
                var cat = obj.categories;
                var data0 = [];
                var data00 = [];
                var data1 = [];
                var data2 = [];
                var data3 = [];
                /* indexadores */
                var DI = [];
                var PRE = [];
                var IPCA = [];
                var IGPM = [];
                var DICUPOM = [];
                var SELIC = [];
                var SLCUPOM = [];
                var VCP = [];
                //var USD = [];
                //var INPC = [];
                for(var i = 0; i < cat.length; i++){
                    dt = new Date(cat[i].substring(0,4), cat[i].substring(5,7), 01);
                    data1.push([Date.parse(dt), obj["Ate 2 anos"][i]]);
                    data2.push([Date.parse(dt), obj["Ate 3 anos"][i]]);
                    data3.push([Date.parse(dt), obj["Maior 3 anos"][i]]);
                    data0.push([Date.parse(dt), obj["Ate 2 anos"][i] + obj["Ate 3 anos"][i] + obj["Maior 3 anos"][i]]);
                    DI.push([Date.parse(dt), obj['DI'][i]]);
                    PRE.push([Date.parse(dt), obj['PRE'][i]]);
                    IPCA.push([Date.parse(dt), obj['IPCA'][i]]);
                    IGPM.push([Date.parse(dt), obj['IGP-M'][i]]);
                    DICUPOM.push([Date.parse(dt), obj['DI + CUPOM'][i]]);
                    SELIC.push([Date.parse(dt), obj['SELIC'][i]]);
                    SLCUPOM.push([Date.parse(dt), obj['SELIC + CUPOM'][i]]);
                    VCP.push([Date.parse(dt), obj['VCP'][i]]);
                    //USD.push([Date.parse(dt), obj['USD'][i]]);
                    //INPC.push([Date.parse(dt), obj['INPC'][i]]);
                };
                $.getJSON('http://localhost:8080/database', function(data){
                    idx = Object.keys(data);
                    var catLink = {};
                    idx.forEach(function(i){
                        catLink[i] = 'http://localhost:8080/table/';
                    })
                });
                Highcharts.stockChart('top_graph',{
                    title: {
                        text: "Volumetria"
                    },
                    yAxis : [{
                        labels : {
                            align: 'right',
                            x: -3
                        },
                        title: {
                            text: '<b>Prazo (BRL Bi)</b>'
                        },
                        height: '60%',
                        lineWidth: 2,
                        resize: {
                            enabled: true
                        }
                    },{
                        labels: {
                            align: 'right',
                            x: -3
                        },
                        title: {
                            text: '<b>Indexador (%)</b>'
                        },
                        top: '75%',
                        height: '25%',
                        offset: 0,
                        lineWidth: 2,
                        resize: {
                            enabled: true
                        }
                    }],
                    tooltip: {
                        split: false,
                        shared: true,
                        formatter: function(){
                            var s = '';
                            s+='<strong>' + Highcharts.dateFormat('%b/%y', new Date(this.points[0].x)) + ' (BRL Bi)</strong>';
                            s+='<br/>';
                            s+='<br/>';
                            s+='<span style="color:' + this.points[0].color + '">\u25CF</span> ' + this.points[0].series.name + ': <b>' + Highcharts.numberFormat(this.points[0].y, 2) + '<b><br/>';
                            s+='<span style="color:' + this.points[1].color + '">\u25CF</span> ' + this.points[1].series.name + ': <b>' + Highcharts.numberFormat(this.points[1].y, 2) + '<b><br/>';
                            s+='<span style="color:' + this.points[2].color + '">\u25CF</span> ' + this.points[2].series.name + ': <b>' + Highcharts.numberFormat(this.points[2].y, 2) + '<b><br/>';
                            s+= '<i>Quebra por Indexador</i><br/>';
                            for(var i = 3; i <= 10; i++){
                                if(this.points[i].percentage > 0){
                                    s+= '<span style="color:' + this.points[i].color + '">\u25CF</span> ' + this.points[i].series.name + ': <b>' + Highcharts.numberFormat(this.points[i].percentage, 2) + '%' + '<b><br/>';                                    
                                };
                            };
                            return s
                        }
                    },
                    plotOptions: {
                        column: {
                            stacking: 'normal'
                        }
                    },
                    rangeSelector: {
                        selected: 4
                    },
                    series: [{
                        type: 'column',
                        name: 'base',
                        data: data0,
                        visible: false
                    },{
                        type: 'column',
                        name: 'Até 2 anos',
                        data: data1,
                        color: 'rgba(128,128,128,0.7)'
                    },{
                        type: 'column',
                        name: 'Até 3 anos',
                        data: data2,
                        color: 'rgba(35,35,35,35.75)'
                    },{
                        type: 'column',
                        name: 'Maior 3 anos',
                        data: data3,
                        color: 'rgba(230,0,0,0.75)'
                    },{
                        type: 'column',
                        name: 'DI',
                        data: DI,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgb(171,193,17)'
                    },{
                        type: 'column',
                        name: 'PRE',
                        data: PRE,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgb(158,54,103)'
                    },{
                        type: 'column',
                        name: 'IPCA',
                        data: IPCA,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgb(229, 157, 39)'
                    },{
                        type: 'column',
                        name: 'IGP-M',
                        data: IGPM,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgb(27,179,188)'
                    },{
                        type: 'column',
                        name: 'DI + CUPOM',
                        data: DICUPOM,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgba(171,193,17,0.4)'
                    },{
                        type: 'column',
                        name: 'SELIC',
                        data: SELIC,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgba(158,54,103,0.4)'
                    },{
                        type: 'column',
                        name: 'SELIC + CUPOM',
                        data: SLCUPOM,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgba(229, 157, 39,0.4)'
                    },{
                        type: 'column',
                        name: 'VCP',
                        data: VCP,
                        yAxis: 1,
                        stacking: 'percent',
                        color: 'rgba(27,179,188,0.4)'
                    }]
                });             
            })
        });
    </script>
    <script>
        function updateTable() {
            var sel = document.getElementById('seletor')
            $.get("http://localhost:8080/database", function(data) {
                var obj = JSON.parse(data);
                var tbl_vals = obj[sel.value];
                var indexes = Object.keys(tbl_vals);
                
                var content = '';

                indexes.forEach(function(key) {
                    content += '<tr>';
                    content += '<td style="text-align:center;font-weight: bold;vertical-align: middle !important;" rowspan="4">' + key + '</td>';
                    content += '<td style="text-align: center">' + "Até 300Mil" + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Ate 300Mil']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Ate 300Mil']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Ate 300Mil']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Ate 300Mil']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Ate 300Mil']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Ate 300Mil']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Ate 300Mil']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Ate 300Mil']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Ate 300Mil']['n_oper'] + '</td>';
                    content += '</tr>';

                    content += '<tr>';
                    content += '<td style="text-align: center">' + "Até 1MM" + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Ate 1MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Ate 1MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Ate 1MM']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Ate 1MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Ate 1MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2})+ '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Ate 1MM']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Ate 1MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Ate 1MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Ate 1MM']['n_oper'] + '</td>';
                    content += '</tr>';

                    content += '<tr>';
                    content += '<td style="text-align: center">' + "Até 100MM" + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Ate 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Ate 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Ate 100MM']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Ate 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Ate 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Ate 100MM']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Ate 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Ate 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Ate 100MM']['n_oper'] + '</td>';
                    content += '</tr>';

                    content += '<tr>';
                    content += '<td style="text-align: center">' + "Maior que 100MM" + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Maior que 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Maior que 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Maior que 100MM']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Maior que 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Maior que 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Maior que 100MM']['n_oper'] + '</td>';
                    content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Maior que 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                    content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Maior que 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                    content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Maior que 100MM']['n_oper'] + '</td>';
                    content += '</tr>';    
                });
                
                $('#main_tab tbody').html(content);
            })
            }
    </script>
    <script>
        $(document).ready(function(){
            $.get("http://localhost:8080/database", function(data) {
                var obj = JSON.parse(data);
                var keys = Object.keys(obj);
                var fragment = document.createDocumentFragment();
                var sel = document.getElementById('seletor');
                keys.forEach(function(keys) {
                    var opt = document.createElement('option');
                    opt.innerHTML = keys;
                    opt.value = keys;
                    fragment.appendChild(opt);
                });
                sel.appendChild(fragment);
                $('#pills-table-tab').on('click', function(){
                    sel.value = keys[keys.length -1]
                    var tbl_vals = obj[sel.value];
                    var indexes = Object.keys(tbl_vals);
                    
                    var content = '';

                    indexes.forEach(function(key) {
                        content += '<tr>';
                        content += '<td style="text-align:center;font-weight: bold;vertical-align: middle !important;" rowspan="4">' + key + '</td>';
                        content += '<td style="text-align: center">' + "Até 300Mil" + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Ate 300Mil']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Ate 300Mil']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Ate 300Mil']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Ate 300Mil']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Ate 300Mil']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Ate 300Mil']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Ate 300Mil']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Ate 300Mil']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Ate 300Mil']['n_oper'] + '</td>';
                        content += '</tr>';

                        content += '<tr>';
                        content += '<td style="text-align: center">' + "Até 1MM" + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Ate 1MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Ate 1MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Ate 1MM']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Ate 1MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Ate 1MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Ate 1MM']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Ate 1MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Ate 1MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Ate 1MM']['n_oper'] + '</td>';
                        content += '</tr>';

                        content += '<tr>';
                        content += '<td style="text-align: center">' + "Até 100MM" + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Ate 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Ate 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Ate 100MM']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Ate 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Ate 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Ate 100MM']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Ate 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Ate 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Ate 100MM']['n_oper'] + '</td>';
                        content += '</tr>';

                        content += '<tr>';
                        content += '<td style="text-align: center">' + "Maior que 100MM" + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 2 anos']['Maior que 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 2 anos']['Maior que 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 2 anos']['Maior que 100MM']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Ate 3 anos']['Maior que 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Ate 3 anos']['Maior que 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Ate 3 anos']['Maior que 100MM']['n_oper'] + '</td>';
                        content += '<td style="text-align: center">' + parseFloat(tbl_vals[key]['Maior 3 anos']['Maior que 100MM']['tx_media'] * 100).toFixed(2) + "%" + '</td>';
                        content += '<td style="text-align: center">' + (tbl_vals[key]['Maior 3 anos']['Maior que 100MM']['vol'] / 1000).toLocaleString(undefined, {maximumFractionDigits:2}) + '</td>';
                        content += '<td style="text-align: center">' + tbl_vals[key]['Maior 3 anos']['Maior que 100MM']['n_oper'] + '</td>';
                        content += '</tr>'; 
                    })

                    $('#main_tab tbody').html(content);
                })

            });
        });
    </script>
</html>
